Entrar

Crear tienda

POST https://{organization}.myguper.com/api/register/store

Crea una tienda en la organización. name es el único campo obligatorio.

interface + refId forman el par que usa el middleware para resolver la tienda a partir de IDs externos (VTEX, ERP, etc.).

Try-it values populated from environment ACME (Demo)


Autenticación

Token

Send your user token in the x-guper-authorization header.

Encabezados

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Cuerpo de la petición

Content-Type: application/json

{
    "name": "Loja 3",
    "refId": "L-003",                                           // optional
    "interface": "vtex"                                         // optional
}

Respuestas

{
    "id": 22,
    "name": "Loja 3",
    "refId": "L-003",
    "interface": "vtex"
}
Copied to clipboard